Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454686 - Mark all as read does not mark all articles
Summary: Mark all as read does not mark all articles
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: liferea
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 18:25 UTC by Vic Ricker
Modified: 2008-07-15 17:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-15 17:36:50 UTC


Attachments (Terms of Use)
Screenshot of strange icons (deleted)
2008-07-10 12:47 UTC, Vic Ricker
no flags Details

Description Vic Ricker 2008-07-09 18:25:34 UTC
Description of problem:

"Mark all as read", either from the tool bar or a feed's context menu does not
mark all articles as having been read.

Version-Release number of selected component (if applicable):

1.4.16b

How reproducible:
Always

Steps to Reproduce:
1. Right click a feed and choose "Mark all as read"
  
Actual results:
The feed in the list is no longer bold, and does not show a count of unread
messages, however, the list of articles still shows some unread articles.  By
unread, I mean the entry still shows in bold.  These "unread" articles also have
a different icon (piece of paper and a pencil) in the "Read Status" column.  I
could not find this icon in the documentation so I don't know what it means.  If
this is proper behaviour, I think it's not very intuitive.

Expected results:
All Articles are marked as read.

Comment 1 Steven M. Parrish 2008-07-09 22:58:07 UTC
I am unable to recreate this on my system.  Can you include a screen shot that I
can send to the developers.  Maybe they can identify the icon and what it means.

Comment 2 Vic Ricker 2008-07-10 12:47:25 UTC
Created attachment 311476 [details]
Screenshot of strange icons

Here's a screenshot with the icons circled in red.

Comment 3 Steven M. Parrish 2008-07-15 17:36:50 UTC
Sent the screenshot upstream and this was the response.

The strange icon is the icon indicating "updated" items.
In 1.4 Mark-All-Read doesn't reset this state.

I plan to change this for 1.5.

Best Regards,
Lars

So we have to wait for 1.5 for a fix.


Note You need to log in before you can comment on or make changes to this bug.